> For the complete documentation index, see [llms.txt](https://docs.faspay.co.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.faspay.co.id/merchant-integration/api-reference-1/credit-card-transaction/reference/end-user-indicator-eui.md).

# End User Indicator (EUI)

These references comprise EUI code that is used to show how the merchant's web server should react to handle the transaction response received from faspay system.

<table><thead><tr><th width="103">EUI</th><th>Description</th></tr></thead><tbody><tr><td>SUC</td><td>Success, When merchant get this response, the page to response to the customer should be inform customer of successful authorization and transaction will be processed immediately</td></tr><tr><td>RTY</td><td>Retry. This indicator is return when TXN Status is F/RC/N/ or E. Merchant system should then advise the user to resubmit/retry to submit a new order. Because the initial request was not approved or data is insufficient</td></tr><tr><td>ALT</td><td>Alert. This indicator is used to inform merchant that the transaction cannot be auto-capture. This scenario can happen either because the auto capture threshold has been crossed or the system is unable to contact the FDS for a fraud risk score to be calculated. Merchant are advise to inform their customer that the transaction will be process require they staff to check the transaction first fore it can be processed. This is only applicable to credit card transaction.</td></tr><tr><td>NA</td><td>Not Applicable, NA is return when auto capturing function is disabled; EUI is primarily to indicate to merchant if the transaction will be auto captured or if the transaction requires manually intervention. This is only applicable to credit card transaction.</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/credit-card-transaction/reference/end-user-indicator-eui.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
